Skip to content

2020 09 09 OTRS邮件发送问题排查记录

181 字
   

现象

这是好多年没有碰OTRS了,看群里讨论了一个比较冷门的案例,记录一下。

通过SMTPS邮件发送失败,报错记录中包含类似下面的信息:

"SMTP, connection try 1, unexpected error captured: To use SSL please install IO::Socket::SSL with version>=2.007 at /usr/local/share/perl5/Net/SMTP.pm line 268.

解决方案

方案一 cpan IO::Socket::SSL cpan Net::SMTP service httpd restart

或者

方案二

yum install -y perl-App-cpanminus cpanm IO::Socket::SSL Net::SMTP 如果执行了上述操作,版本已经升级到>= 2.007,依旧无法发送邮件,那么我们需要采取

方案三

基于

https://github.com/OTRS/otrs/commit/f2f1ebf9fb196dafb1a3252f93bed6c1c784940b.diff?tdsourcetag=s_pctim_aiomsg

use Net::SSLGlue::SMTP; 修改为 use Net::SMTP;

use parent qw(Kernel::System::Email::SMTP);`

配图

参考文献